using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Tools.Base
{
    public static class RabbitMQExchange
    {
        public static readonly string BUSINESS_EXCHANGE = string.Format("{0}Business_ExChange", RabbitMQConfig.GetInstance().TAG);
        public static readonly string DXL_RETRY_EXCHANGE = string.Format("{0}DXL_Retry_ExChange", RabbitMQConfig.GetInstance().TAG);
        public static readonly string DXL_RETRY_QUEUE = string.Format("{0}DXL_Retry_Queue", RabbitMQConfig.GetInstance().TAG);

        public static readonly string BUSINESS_DELAY_EXCHANGE = string.Format("{0}Business_Delay_ExChange", RabbitMQConfig.GetInstance().TAG);
        public static readonly string DXL_RETRY_DELAY_EXCHANGE = string.Format("{0}DXL_Retry_Delay_ExChange", RabbitMQConfig.GetInstance().TAG);
        public static readonly string DXL_RETRY_DELAY_QUEUE = string.Format("{0}DXL_Retry_Delay_Queue", RabbitMQConfig.GetInstance().TAG);
    }
}
